diff --git a/fc-solve/source/state.h b/fc-solve/source/state.h
index ec6f29b7a..bc5fcec50 100644
--- a/fc-solve/source/state.h
+++ b/fc-solve/source/state.h
@@ -11,7 +11,8 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include <ctype.h>
@@ -52,46 +53,46 @@ extern "C" {
     ((FCS_S_SCAN_VISITED(ptr_state))[(scan_id) >> FCS_CHAR_BIT_SIZE_LOG2] &    \
         (1 << ((scan_id) & ((1 << (FCS_CHAR_BIT_SIZE_LOG2)) - 1))))
 
-typedef char fcs_card_t;
-typedef fcs_card_t *fcs_cards_column_t;
-typedef const fcs_card_t *fcs_const_cards_column_t;
-typedef fcs_card_t fcs_state_foundation_t;
+    typedef char fcs_card_t;
+    typedef fcs_card_t *fcs_cards_column_t;
+    typedef const fcs_card_t *fcs_const_cards_column_t;
+    typedef fcs_card_t fcs_state_foundation_t;
 
 #ifdef COMPACT_STATES
-/*
- * Card:
- * Bits 0-3 - Card Number
- * Bits 4-5 - Deck
- *
- */
+    /*
+     * Card:
+     * Bits 0-3 - Card Number
+     * Bits 4-5 - Deck
+     *
+     */
 
-typedef struct
-{
-    fcs_card_t data[MAX_NUM_STACKS * (MAX_NUM_CARDS_IN_A_STACK + 1) +
-                    MAX_NUM_FREECELLS + 4 * MAX_NUM_DECKS];
-} fcs_state_t;
+    typedef struct
+    {
+        fcs_card_t data[MAX_NUM_STACKS * (MAX_NUM_CARDS_IN_A_STACK + 1) +
+                        MAX_NUM_FREECELLS + 4 * MAX_NUM_DECKS];
+    } fcs_state_t;
 
-/*
- * Stack: 0 - Number of cards
- *        1-19 - Cards
- * Stacks: stack_num*20 where stack_num >= 0 and
- *         stack_num <= (MAX_NUM_STACKS-1)
- * Bytes: (MAX_NUM_STACKS*20) to
- *      (MAX_NUM_STACKS*20+MAX_NUM_FREECELLS-1)
- *      are Freecells.
- * Bytes: (MAX_NUM_STACKS*20+MAX_NUM_FREECELLS) to
- *      MAX_NUM_STACKS*20+MAX_NUM_FREECELLS+3
- *      are Foundations.
- * */
+    /*
+     * Stack: 0 - Number of cards
+     *        1-19 - Cards
+     * Stacks: stack_num*20 where stack_num >= 0 and
+     *         stack_num <= (MAX_NUM_STACKS-1)
+     * Bytes: (MAX_NUM_STACKS*20) to
+     *      (MAX_NUM_STACKS*20+MAX_NUM_FREECELLS-1)
+     *      are Freecells.
+     * Bytes: (MAX_NUM_STACKS*20+MAX_NUM_FREECELLS) to
+     *      MAX_NUM_STACKS*20+MAX_NUM_FREECELLS+3
+     *      are Foundations.
+     * */
 
-/*  ===== Depracated Information =====
- * Stack: 0 - Number of cards 1-19 - Cards
- * Stacks: stack_num*20 where stack_num >= 0 and stack_num <= 7
- * Bytes 160-163 - Freecells
- * Bytes 164-167 - Decks
- */
+    /*  ===== Depracated Information =====
+     * Stack: 0 - Number of cards 1-19 - Cards
+     * Stacks: stack_num*20 where stack_num >= 0 and stack_num <= 7
+     * Bytes 160-163 - Freecells
+     * Bytes 164-167 - Decks
+     */
 
-typedef char fcs_locs_t;
+    typedef char fcs_locs_t;
 
 #define fcs_state_get_col(state, col_idx)                                      \
     ((state).data + ((col_idx) * (MAX_NUM_CARDS_IN_A_STACK + 1)))
@@ -175,10 +176,10 @@ typedef uint8_t fcs_locs_t;
 #define fcs_card_is_empty(card) ((card) == 0)
 #define fcs_card_is_valid(card) ((card) != 0)
 
-static inline fcs_card_t fcs_make_card(const int rank, const int suit)
-{
-    return (fcs_card_t)((((fcs_card_t)rank) << 2) | ((fcs_card_t)suit));
-}
+    static inline fcs_card_t fcs_make_card(const int rank, const int suit)
+    {
+        return (fcs_card_t)((((fcs_card_t)rank) << 2) | ((fcs_card_t)suit));
+    }
 
 #define fcs_card2char(c) (c)
 #define fcs_char2card(c) (c)
@@ -191,152 +192,152 @@ static inline fcs_card_t fcs_make_card(const int rank, const int suit)
 #define fcs_card_rank(card) ((card) >> 2)
 #define fcs_card_suit(card) ((card)&0x03)
 
-static inline fcs_card_t fcs_col_get_rank(
-    const fcs_const_cards_column_t col, const int card_idx)
-{
-    return fcs_card_rank(fcs_col_get_card(col, card_idx));
-}
+    static inline fcs_card_t fcs_col_get_rank(
+        const fcs_const_cards_column_t col, const int card_idx)
+    {
+        return fcs_card_rank(fcs_col_get_card(col, card_idx));
+    }
 #define FCS_RANK_KING 13
 #include "is_king.h"
-static inline fcs_bool_t fcs_card_is_king(const fcs_card_t card)
-{
-    return fc_solve_is_king_buf[(size_t)card];
-}
+    static inline fcs_bool_t fcs_card_is_king(const fcs_card_t card)
+    {
+        return fc_solve_is_king_buf[(size_t)card];
+    }
 
-static inline fcs_bool_t fcs_col_is_king(
-    const fcs_const_cards_column_t col, const int card_idx)
-{
-    return fcs_card_is_king(fcs_col_get_card(col, card_idx));
-}
+    static inline fcs_bool_t fcs_col_is_king(
+        const fcs_const_cards_column_t col, const int card_idx)
+    {
+        return fcs_card_is_king(fcs_col_get_card(col, card_idx));
+    }
 
-struct fcs_state_keyval_pair_struct;
+    struct fcs_state_keyval_pair_struct;
 
-/*
- * NOTE: the order of elements here is intended to reduce framgmentation
- * and memory consumption. Namely:
- *
- * 1. Pointers come first.
- *
- * 2. ints (32-bit on most platform) come next.
- *
- * 3. chars come next.
- *
- * */
-struct fcs_state_extra_info_struct
-{
+    /*
+     * NOTE: the order of elements here is intended to reduce framgmentation
+     * and memory consumption. Namely:
+     *
+     * 1. Pointers come first.
+     *
+     * 2. ints (32-bit on most platform) come next.
+     *
+     * 3. chars come next.
+     *
+     * */
+    struct fcs_state_extra_info_struct
+    {
 #ifdef FCS_RCS_STATES
-    struct fcs_state_extra_info_struct *parent;
+        struct fcs_state_extra_info_struct *parent;
 #else
     struct fcs_state_keyval_pair_struct *parent;
 #endif
 #ifdef FCS_WITH_MOVES
-    fcs_move_stack_t *moves_to_parent;
+        fcs_move_stack_t *moves_to_parent;
 #endif
 
 #ifndef FCS_WITHOUT_DEPTH_FIELD
-    int depth;
+        int depth;
 #endif
 
 #ifndef FCS_WITHOUT_VISITED_ITER
-    /*
-     * The iteration in which this state was marked as visited
-     * */
-    fcs_int_limit_t visited_iter;
+        /*
+         * The iteration in which this state was marked as visited
+         * */
+        fcs_int_limit_t visited_iter;
 #endif
 
-    /*
-     * This is the number of direct children of this state which were not
-     * yet declared as dead ends. Once this counter reaches zero, this
-     * state too is declared as a dead end.
-     *
-     * It was converted to an unsigned short , because it is extremely
-     * unlikely that a state will have more than 64K active children.
-     * */
-    unsigned short num_active_children;
-
-    /*
-     * This field contains global, scan-independant flags, which are used
-     * from the FCS_VISITED_* enum below.
-     *
-     * FCS_VISITED_IN_SOLUTION_PATH - indicates that the state is in the
-     * solution path found by the scan. (used by the optimization scan)
-     *
-     * FCS_VISITED_IN_OPTIMIZED_PATH - indicates that the state is in the
-     * optimized solution path which is computed by the optimization scan.
-     *
-     * FCS_VISITED_DEAD_END - indicates that the state does not lead to
-     * anywhere useful, and scans should not examine it in the first place.
-     *
-     * FCS_VISITED_GENERATED_BY_PRUNING - indicates that the state was
-     * generated by pruning, so one can skip calling the pruning function
-     * for it.
-     * */
-    fcs_game_limit_t visited;
-
-    /*
-     * This is a vector of flags - one for each scan. Each indicates whether
-     * its scan has already visited this state
-     * */
-    unsigned char scan_visited[FCS_MAX_NUM_SCANS_BUCKETS];
+        /*
+         * This is the number of direct children of this state which were not
+         * yet declared as dead ends. Once this counter reaches zero, this
+         * state too is declared as a dead end.
+         *
+         * It was converted to an unsigned short , because it is extremely
+         * unlikely that a state will have more than 64K active children.
+         * */
+        unsigned short num_active_children;
+
+        /*
+         * This field contains global, scan-independant flags, which are used
+         * from the FCS_VISITED_* enum below.
+         *
+         * FCS_VISITED_IN_SOLUTION_PATH - indicates that the state is in the
+         * solution path found by the scan. (used by the optimization scan)
+         *
+         * FCS_VISITED_IN_OPTIMIZED_PATH - indicates that the state is in the
+         * optimized solution path which is computed by the optimization scan.
+         *
+         * FCS_VISITED_DEAD_END - indicates that the state does not lead to
+         * anywhere useful, and scans should not examine it in the first place.
+         *
+         * FCS_VISITED_GENERATED_BY_PRUNING - indicates that the state was
+         * generated by pruning, so one can skip calling the pruning function
+         * for it.
+         * */
+        fcs_game_limit_t visited;
+
+        /*
+         * This is a vector of flags - one for each scan. Each indicates whether
+         * its scan has already visited this state
+         * */
+        unsigned char scan_visited[FCS_MAX_NUM_SCANS_BUCKETS];
 
 #ifdef INDIRECT_STACK_STATES
-    /*
-     * A vector of flags that indicates which columns were already copied.
-     * */
-    int stacks_copy_on_write_flags;
+        /*
+         * A vector of flags that indicates which columns were already copied.
+         * */
+        int stacks_copy_on_write_flags;
 #endif
-};
-
-typedef struct
-{
-    /*
-     * These contain the location of the original columns and freecells
-     * in the permutation of them. They are sorted by the canonization
-     * function.
-     * */
-    fcs_locs_t stack_locs[MAX_NUM_STACKS];
-    fcs_locs_t fc_locs[MAX_NUM_FREECELLS];
-} fcs_state_locs_struct_t;
+    };
 
-static inline void fc_solve_init_locs(fcs_state_locs_struct_t *const locs)
-{
-    for (int i = 0; i < MAX_NUM_STACKS; ++i)
+    typedef struct
     {
-        locs->stack_locs[i] = (fcs_locs_t)i;
-    }
-    for (int i = 0; i < MAX_NUM_FREECELLS; ++i)
+        /*
+         * These contain the location of the original columns and freecells
+         * in the permutation of them. They are sorted by the canonization
+         * function.
+         * */
+        fcs_locs_t stack_locs[MAX_NUM_STACKS];
+        fcs_locs_t fc_locs[MAX_NUM_FREECELLS];
+    } fcs_state_locs_struct_t;
+
+    static inline void fc_solve_init_locs(fcs_state_locs_struct_t *const locs)
     {
-        locs->fc_locs[i] = (fcs_locs_t)i;
+        for (int i = 0; i < MAX_NUM_STACKS; ++i)
+        {
+            locs->stack_locs[i] = (fcs_locs_t)i;
+        }
+        for (int i = 0; i < MAX_NUM_FREECELLS; ++i)
+        {
+            locs->fc_locs[i] = (fcs_locs_t)i;
+        }
     }
-}
 
-typedef struct fcs_state_extra_info_struct fcs_state_extra_info_t;
+    typedef struct fcs_state_extra_info_struct fcs_state_extra_info_t;
 
-struct fcs_state_keyval_pair_struct
-{
-    union {
-        struct
-        {
-            fcs_state_t s;
-            fcs_state_extra_info_t info;
+    struct fcs_state_keyval_pair_struct
+    {
+        union {
+            struct
+            {
+                fcs_state_t s;
+                fcs_state_extra_info_t info;
+            };
+            struct fcs_state_keyval_pair_struct *next;
         };
-        struct fcs_state_keyval_pair_struct *next;
     };
-};
 
-typedef struct fcs_state_keyval_pair_struct fcs_state_keyval_pair_t;
+    typedef struct fcs_state_keyval_pair_struct fcs_state_keyval_pair_t;
 
-typedef struct
-{
-    fcs_state_t *key;
-    fcs_state_extra_info_t *val;
-} fcs_kv_state_t;
+    typedef struct
+    {
+        fcs_state_t *key;
+        fcs_state_extra_info_t *val;
+    } fcs_kv_state_t;
 
-static inline fcs_kv_state_t FCS_STATE_keyval_pair_to_kv(
-    fcs_state_keyval_pair_t *const s)
-{
-    return (const fcs_kv_state_t){.key = &(s->s), .val = &(s->info)};
-}
+    static inline fcs_kv_state_t FCS_STATE_keyval_pair_to_kv(
+        fcs_state_keyval_pair_t *const s)
+    {
+        return (const fcs_kv_state_t){.key = &(s->s), .val = &(s->info)};
+    }
 
 /* Always the same. */
 #define fcs_duplicate_kv_state(ptr_dest, ptr_src)                              \
@@ -355,23 +356,23 @@ static inline fcs_kv_state_t FCS_STATE_keyval_pair_to_kv(
  *
  * */
 #ifdef FCS_RCS_STATES
-typedef fcs_state_extra_info_t fcs_collectible_state_t;
+    typedef fcs_state_extra_info_t fcs_collectible_state_t;
 #define FCS_S_ACCESSOR(s, field) ((s)->field)
 
 #define fcs_duplicate_state(x, y) fcs_duplicate_kv_state((x), (y))
 
 #define FCS_STATE_keyval_pair_to_collectible(s) (&((s)->info))
-static inline fcs_collectible_state_t *FCS_STATE_kv_to_collectible(
-    fcs_kv_state_t *const s)
-{
-    return s->val;
-}
+    static inline fcs_collectible_state_t *FCS_STATE_kv_to_collectible(
+        fcs_kv_state_t *const s)
+    {
+        return s->val;
+    }
 
-static inline void FCS_STATE_collectible_to_kv(
-    fcs_kv_state_t *const ret, fcs_collectible_state_t *const s)
-{
-    ret->val = s;
-}
+    static inline void FCS_STATE_collectible_to_kv(
+        fcs_kv_state_t *const ret, fcs_collectible_state_t *const s)
+    {
+        ret->val = s;
+    }
 
 #else
 
@@ -449,36 +450,36 @@ static inline void FCS_STATE_collectible_to_kv(
 
 #define PASS_T(arg) FC_SOLVE__PASS_T(arg)
 
-extern void fc_solve_canonize_state(
-    fcs_state_t *const ptr_state_key FREECELLS_AND_STACKS_ARGS());
+    extern void fc_solve_canonize_state(
+        fcs_state_t *const ptr_state_key FREECELLS_AND_STACKS_ARGS());
 
-void fc_solve_canonize_state_with_locs(fcs_state_t *const ptr_state_key,
-    fcs_state_locs_struct_t *const locs FREECELLS_AND_STACKS_ARGS());
+    void fc_solve_canonize_state_with_locs(fcs_state_t *const ptr_state_key,
+        fcs_state_locs_struct_t *const locs FREECELLS_AND_STACKS_ARGS());
 
 #if (FCS_STATE_STORAGE != FCS_STATE_STORAGE_LIBREDBLACK_TREE)
-typedef void *fcs_compare_context_t;
+    typedef void *fcs_compare_context_t;
 #else
 typedef const void *fcs_compare_context_t;
 #endif
 
-static inline int fc_solve_state_compare(
-    const void *const s1, const void *const s2)
-{
-    return memcmp(s1, s2, sizeof(fcs_state_t));
-}
+    static inline int fc_solve_state_compare(
+        const void *const s1, const void *const s2)
+    {
+        return memcmp(s1, s2, sizeof(fcs_state_t));
+    }
 
 #if (FCS_STATE_STORAGE == FCS_STATE_STORAGE_GLIB_HASH)
-extern int fc_solve_state_compare_equal(const void *, const void *);
+    extern int fc_solve_state_compare_equal(const void *, const void *);
 #endif
-extern int fc_solve_state_compare_with_context(
-    const void *, const void *, fcs_compare_context_t);
+    extern int fc_solve_state_compare_with_context(
+        const void *, const void *, fcs_compare_context_t);
 
-/*
- * Convert an entire card to its user representation.
- *
- * */
-extern void fc_solve_card_stringify(
-    const fcs_card_t card, char *const str PASS_T(const fcs_bool_t t));
+    /*
+     * Convert an entire card to its user representation.
+     *
+     * */
+    extern void fc_solve_card_stringify(
+        const fcs_card_t card, char *const str PASS_T(const fcs_bool_t t));
 
 #ifdef FC_SOLVE__STRICTER_BOARD_PARSING
 #define FC_SOLVE_MAP_CHAR(c) (c)
@@ -486,100 +487,100 @@ extern void fc_solve_card_stringify(
 #define FC_SOLVE_MAP_CHAR(c) (toupper(c))
 #endif
 
-/*
- * This function converts a string containing a suit letter (that is
- * one of H,S,D,C) into its suit ID.
- *
- * The suit letter may come somewhat after the beginning of the string.
- *
- * */
-static inline __attribute__((pure)) int fcs_str2suit(const char *suit)
-{
-    while (TRUE)
+    /*
+     * This function converts a string containing a suit letter (that is
+     * one of H,S,D,C) into its suit ID.
+     *
+     * The suit letter may come somewhat after the beginning of the string.
+     *
+     * */
+    static inline __attribute__((pure)) int fcs_str2suit(const char *suit)
     {
-        switch (FC_SOLVE_MAP_CHAR(*suit))
+        while (TRUE)
         {
-        case 'H':
-        case ' ':
-        case '\0':
-            return 0;
-        case 'C':
-            return 1;
-        case 'D':
-            return 2;
-        case 'S':
-            return 3;
-        default:
-            ++suit;
+            switch (FC_SOLVE_MAP_CHAR(*suit))
+            {
+            case 'H':
+            case ' ':
+            case '\0':
+                return 0;
+            case 'C':
+                return 1;
+            case 'D':
+                return 2;
+            case 'S':
+                return 3;
+            default:
+                ++suit;
+            }
         }
     }
-}
 
-/*
- * This function converts a card number from its user representation
- * (e.g: "A", "K", "9") to its card number that can be used by
- * the program.
- * */
+    /*
+     * This function converts a card number from its user representation
+     * (e.g: "A", "K", "9") to its card number that can be used by
+     * the program.
+     * */
 
-static inline __attribute__((pure)) int fcs_str2rank(const char *string)
-{
-    while (1)
+    static inline __attribute__((pure)) int fcs_str2rank(const char *string)
     {
-        switch (FC_SOLVE_MAP_CHAR(*string))
+        while (1)
         {
-        case '\0':
-        case ' ':
-        case '\t':
-        case '\n':
-        case '\r':
-            return 0;
-        case 'A':
-            return 1;
-        case 'J':
-            return 11;
-        case 'Q':
-            return 12;
-        case 'K':
-            return 13;
+            switch (FC_SOLVE_MAP_CHAR(*string))
+            {
+            case '\0':
+            case ' ':
+            case '\t':
+            case '\n':
+            case '\r':
+                return 0;
+            case 'A':
+                return 1;
+            case 'J':
+                return 11;
+            case 'Q':
+                return 12;
+            case 'K':
+                return 13;
 #ifndef FC_SOLVE__STRICTER_BOARD_PARSING
-        case '1':
-            return (string[1] == '0') ? 10 : 1;
+            case '1':
+                return (string[1] == '0') ? 10 : 1;
 #endif
-        case 'T':
+            case 'T':
 #ifndef FC_SOLVE__STRICTER_BOARD_PARSING
-        case '0':
+            case '0':
 #endif
-            return 10;
-        case '2':
-            return 2;
-        case '3':
-            return 3;
-        case '4':
-            return 4;
-        case '5':
-            return 5;
-        case '6':
-            return 6;
-        case '7':
-            return 7;
-        case '8':
-            return 8;
-        case '9':
-            return 9;
-        default:
-            ++string;
+                return 10;
+            case '2':
+                return 2;
+            case '3':
+                return 3;
+            case '4':
+                return 4;
+            case '5':
+                return 5;
+            case '6':
+                return 6;
+            case '7':
+                return 7;
+            case '8':
+                return 8;
+            case '9':
+                return 9;
+            default:
+                ++string;
+            }
         }
     }
-}
-/*
- * This function converts an entire card from its string representations
- * (e.g: "AH", "KS", "8D"), to a fcs_card_t data type.
- * */
-static inline __attribute__((pure)) fcs_card_t fc_solve_card_parse_str(
-    const char *const str)
-{
-    return fcs_make_card(fcs_str2rank(str), fcs_str2suit(str));
-}
+    /*
+     * This function converts an entire card from its string representations
+     * (e.g: "AH", "KS", "8D"), to a fcs_card_t data type.
+     * */
+    static inline __attribute__((pure)) fcs_card_t fc_solve_card_parse_str(
+        const char *const str)
+    {
+        return fcs_make_card(fcs_str2rank(str), fcs_str2suit(str));
+    }
 
 #ifdef INDIRECT_STACK_STATES
 #define fc_solve_state_init(state, stacks_num, indirect_stacks_buffer)         \
@@ -590,40 +591,41 @@ static inline __attribute__((pure)) fcs_card_t fc_solve_card_parse_str(
     fc_solve_state_init_proto(state PASS_STACKS(stacks_num))
 #endif
 
-static inline void fc_solve_state_init_proto(
-    fcs_state_keyval_pair_t *const state STACKS_NUM__ARG GCC_UNUSED
-        IND_BUF_T_PARAM(indirect_stacks_buffer))
-{
-    memset(&(state->s), 0, sizeof(state->s));
-#ifdef INDIRECT_STACK_STATES
-    size_t i;
-    for (i = 0; i < STACKS_NUM__VAL; ++i)
-    {
-        memset(state->s.columns[i] = &indirect_stacks_buffer[i << 7], '\0',
-            MAX_NUM_DECKS * 52 + 1);
-    }
-    for (; i < MAX_NUM_STACKS; ++i)
+    static inline void fc_solve_state_init_proto(
+        fcs_state_keyval_pair_t *const state STACKS_NUM__ARG GCC_UNUSED
+            IND_BUF_T_PARAM(indirect_stacks_buffer))
     {
-        state->s.columns[i] = NULL;
-    }
+        memset(&(state->s), 0, sizeof(state->s));
+#ifdef INDIRECT_STACK_STATES
+        size_t i;
+        for (i = 0; i < STACKS_NUM__VAL; ++i)
+        {
+            memset(state->s.columns[i] = &indirect_stacks_buffer[i << 7], '\0',
+                MAX_NUM_DECKS * 52 + 1);
+        }
+        for (; i < MAX_NUM_STACKS; ++i)
+        {
+            state->s.columns[i] = NULL;
+        }
 #endif
-    state->info.parent = NULL;
+        state->info.parent = NULL;
 #ifdef FCS_WITH_MOVES
-    state->info.moves_to_parent = NULL;
+        state->info.moves_to_parent = NULL;
 #endif
 #ifndef FCS_WITHOUT_DEPTH_FIELD
-    state->info.depth = 0;
+        state->info.depth = 0;
 #endif
-    state->info.visited = 0;
+        state->info.visited = 0;
 #ifndef FCS_WITHOUT_VISITED_ITER
-    state->info.visited_iter = 0;
+        state->info.visited_iter = 0;
 #endif
-    state->info.num_active_children = 0;
-    memset(state->info.scan_visited, '\0', sizeof(state->info.scan_visited));
+        state->info.num_active_children = 0;
+        memset(
+            state->info.scan_visited, '\0', sizeof(state->info.scan_visited));
 #ifdef INDIRECT_STACK_STATES
-    state->info.stacks_copy_on_write_flags = 0;
+        state->info.stacks_copy_on_write_flags = 0;
 #endif
-}
+    }
 
 #ifdef FCS_BREAK_BACKWARD_COMPAT_1
 #define FCS_PARSE_try_prefix(str, p, p_s) try_str_prefix(str, p)
@@ -660,15 +662,15 @@ static inline const char *fc_solve__try_prefixes(
         out_state PASS_FREECELLS(freecells_num) PASS_STACKS(stacks_num)        \
             PASS_DECKS(decks_num) PASS_IND_BUF_T(indirect_stacks_buffer))
 
-static inline fcs_bool_t fc_solve_initial_user_state_to_c_proto(
-    const char *const string,
-    fcs_state_keyval_pair_t *const out_state FREECELLS_STACKS_DECKS__ARGS()
-        IND_BUF_T_PARAM(indirect_stacks_buffer))
-{
-    fc_solve_state_init(out_state, STACKS_NUM__VAL, indirect_stacks_buffer);
-    const char *str = string;
+    static inline fcs_bool_t fc_solve_initial_user_state_to_c_proto(
+        const char *const string,
+        fcs_state_keyval_pair_t *const out_state FREECELLS_STACKS_DECKS__ARGS()
+            IND_BUF_T_PARAM(indirect_stacks_buffer))
+    {
+        fc_solve_state_init(out_state, STACKS_NUM__VAL, indirect_stacks_buffer);
+        const char *str = string;
 
-    fcs_bool_t first_line = TRUE;
+        fcs_bool_t first_line = TRUE;
 
 #define out (out_state->s)
 /* Handle the end of string - shouldn't happen */
